OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- File List
- Globals

Typedefs | Variables
object_type.h File Reference

Types related to object tiles. More...

Go to the source code of this file.

## Typedefs
typedef uint16 | ObjectType
| Types of objects.
typedef uint32 | ObjectID
| Unique identifier for an object.

## Variables
static const ObjectType | OBJECT_TRANSMITTER = 0
| The large antenna.
static const ObjectType | OBJECT_LIGHTHOUSE = 1
| The nice lighthouse.
static const ObjectType | OBJECT_STATUE = 2
| Statue in towns.
static const ObjectType | OBJECT_OWNED_LAND = 3
| Owned land 'flag'.
static const ObjectType | OBJECT_HQ = 4
| HeadQuarter of a player.
static const ObjectType | NUM_OBJECTS_PER_GRF = 255
| Number of supported objects per NewGRF; limited to 255 to allow extending Action3 with an extended byte later on.
static const ObjectType | NEW_OBJECT_OFFSET = 5
| Offset for new objects.
static const ObjectType | NUM_OBJECTS = 64000
| Number of supported objects overall.
static const ObjectType | INVALID_OBJECT_TYPE = 0xFFFF
| An invalid object.
static const ObjectID | INVALID_OBJECT = 0xFFFFFFFF
| An invalid object.

## Detailed Description

Types related to object tiles.

Definition in file object_type.h.

## Typedef Documentation

typedef uint32 ObjectID

Unique identifier for an object.

Definition at line 31 of file object_type.h.

typedef uint16 ObjectType

Types of objects.

Definition at line 16 of file object_type.h.